Bug 779254 - (SOA-1645) Smooks does not support parameter addToList anymore
Smooks does not support parameter addToList anymore
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: Documentation, JBossESB, Compatibility (Show other bugs)
5.0.0 ER4
Unspecified Unspecified
medium Severity medium
: ---
: 5.0.0 GA
Assigned To: David Le Sage
http://jira.jboss.org/jira/browse/SOA...
: Regression
: SOA-1580 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-24 11:38 EST by Martin Vecera
Modified: 2010-02-10 10:46 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Sun JDK 1.6
Last Closed: 2010-02-10 10:46:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-1645 None None None Never

  None (edit)
Description Martin Vecera 2009-11-24 11:38:13 EST
Affects: Documentation (Ref Guide, User Guide, etc.), Compatibility/Configuration
Date of First Response: 2009-12-09 08:56:05
project_key: SOA

See the linked issue.
Comment 1 Martin Vecera 2009-11-24 11:39:22 EST
Link: Added: This issue depends JBESB-3002
Comment 2 Kevin Conner 2009-12-09 08:53:51 EST
Link: Added: This issue is duplicated by SOA-1580
Comment 3 Kevin Conner 2009-12-09 08:56:05 EST
This is a problem with compatibility but would be better if this were documented, as the workaround is a straight forward configuration change.

Comment 4 trev 2009-12-09 09:05:57 EST
Linked jira points out this is a compatibility change that needs documenting, From the Jira :-

The "addToList" option was removed in Smooks v1.1. Normally we try to maintain full backward compatibility for our configs, but in this case, support was removed completely.

Any configs using this can be updated to use the newer <jb:bean> config namespace (i.e. there is a migration path). It handles lists etc: http://www.smooks.org/mediawiki/index.php?title=V1.2:Smooks_v1.2_User_Guide#Java_Binding_Configuration_Details
Comment 5 trev 2009-12-09 09:06:19 EST
Affects: Removed: [Compatibility/Configuration] Added: [Documentation (Ref Guide, User Guide, etc.), Compatibility/Configuration]
Comment 6 Aleksandar Kostadinov 2010-01-08 03:44:54 EST
Link: Added: This issue is a dependency of JBQA-2762
Comment 7 David Le Sage 2010-02-09 22:15:23 EST
This has now been documented in the "Migration" section of the Release Notes. 


Here is a draft of the text: 



The addToList option was completely removed in Smooks v1.1, meaning that the normal standard
of backward-compatibility could not be maintained.

Update any configurations that rely upon this option so that they instead use the newer <jb:bean>
configuration namespace, which can handle lists. See the "Java Binding" chapter in the Smooks
User Guide for more information.


EDIT:  Fixed grammar error.

Note You need to log in before you can comment on or make changes to this bug.